# Rop

Rop-Ruby 是融数金服的ruby语言的SDK，其支持的功能包括: 短信等。

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'rop'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install rop

## Usage
#### 初始化
在`Ruby on Rails`中，请在`config/initializers`下创建文件`rop.rb`用来初始化rop的使用(在其他环境使用`rop-ruby`需要运行同样的初始化代码):
```ruby
Rop.setup do |config|
  config.channel_code = 'YOUR_CHANNEL_CODE'
  config.access_token = 'YOUR_ACCESS_TOKEN'
end
```
其中:
* `YOUR_CHANNEL_CODE`是通道码: 可在`http://open.rongcapital.cn/dashboard/isv/SmsBalanceList`查看

#### API
* `Rop.get_balance` 查询手机短信余额
* `Rop.send_sms(mobile, content, append_code)` 发送短信，其中各参数代表:
  * `mobile`: 手机号码
  * `content`: 短信内容
  * `append_code`: 短信的后缀码

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/rop. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

